#
# spec file for package kbuild (Version 0.1.3svn1785)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Url:            http://svn.netlabs.org/kbuild

Name:           kbuild
BuildRequires:  bison flex libacl-devel
License:        GPL v2 or later
Group:          Development/Tools/Building
Summary:        framework for writing simple makefiles for complex tasks
Version:        0.1.3svn1785
Release:        1
Source0:        %{name}-%{version}.tar.bz2
Patch0:         kbuild-man.diff
Patch1:         warnings.diff
Patch2:         kbuild-dummy_noreturn.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The goals of the kBuild framework: - Similar behavior across all
   supported platforms

- Flexibility, don't create unnecessary restrictions preventing
   ad-hoc solutions

- Makefiles can be simple to write and maintain

- One configuration file for a subtree automatically included

- Target configuration templates as the primary mechanism for
   makefile simplification

- Tools and SDKs for helping out the templates with flexibility

- Non-recursive makefile method by using sub-makefiles



Authors:
--------
    Knut St. Osmundsen <bird-kbuild-spam@anduin.net>

%prep
%setup -q
%patch0
%patch1
%patch2

%build
export CFLAGS="$RPM_OPT_FLAGS"
kBuild/env.sh --full make -f bootstrap.gmk SRCDIR=`pwd`
kBuild/env.sh kmk rebuild PATH_INS=`pwd`
pod2man -c 'kBuild for SUSE Linux' -r kBuild-%version kmk.pod > kmk.1

%install
kBuild/env.sh kmk NIX_INSTALL_DIR=/usr BUILD_TYPE=release PATH_INS=%{buildroot} LDFLAGS=-Wl,--as-needed
install -m 644 -D kmk.1 %buildroot/%_mandir/man1/kmk.1
chmod a-x %buildroot/usr/share/kBuild/*/*kmk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_prefix}/bin/*
%{_mandir}/*/*
%{_datadir}/kBuild

%changelog
* Thu Sep 25 2008 mkudlvasr@suse.cz
- merge into openSUSE Factory
* Thu Sep 18 2008 suse-tux@gmx.de
- added Patch2 (kbuild-dummy_noreturn.diff) in order to make the build checks happy
* Sun Sep 14 2008 suse-tux@gmx.de
- update to 0.1.3svn1785
* Sun Sep 14 2008 suse-tux@gmx.de
- update to 0.1.3svn1775
- removed kbuild-r1599_KBUILD_SVN_INFO_KMK-fix.diff
* Wed May 07 2008 dmueller@suse.de
- fix uninit return values
* Sun May 04 2008 suse-tux@gmx.de
- update to svn1599 in order to build virtualbox-ose 1.6.0
- added kbuild-r1599_KBUILD_SVN_INFO_KMK-fix.diff
- start the bootstrap with kBuild/env.sh --full because this sets all required
  variables automagically
* Mon Apr 07 2008 dmueller@suse.de
- fix crash on x86_64
* Wed Apr 02 2008 dmueller@suse.de
- Initial package (0.1.2svn1480)
